How to Fillet a 3D-Polyline?

Hello everyone,
BRepFilletAPI_MakeFillet tells me no suitable edges for champfer or fillet

1. Is this function also making Fillet of a 3D-polyline? if not, what is the Class for doing that?
2. If is the proper function, how can I debug my problem?

I have tryed with a closed Wire and open wire, but after build(); tells me no suitable edges for fillet.

gp_Pnt point1(0.0, 0.0, 0.0);
gp_Pnt point2(160.0, 0.0, 0.0);
gp_Pnt point3(280.0, -50.0, -100.0);
gp_Pnt point4(350.0, 30.0, 100.0);
gp_Pnt point5(550.0, -300.0, -100.0);

TopoDS_Edge line1 = BRepBuilderAPI_MakeEdge(point1, point2);
TopoDS_Edge line2 = BRepBuilderAPI_MakeEdge(point2, point3);
TopoDS_Edge line3 = BRepBuilderAPI_MakeEdge(point3, point4);
TopoDS_Edge line4 = BRepBuilderAPI_MakeEdge(point4, point5);

BRepBuilderAPI_MakeWire wirePath;
wirePath.Add(line1);
wirePath.Add(line2);
wirePath.Add(line3);
wirePath.Add(line4);
TopoDS_Wire wire = wirePath.Wire();

BRepFilletAPI_MakeFillet filletTool(wire);
filletTool.Add(line1);
filletTool.Add(line2);
filletTool.SetRadius(20, 1, 2);
//filletTool.Build();

TopoDS_Shape result = filletTool.Shape(); //Builder Message:: no Suitable edges for Campfer or fillet

Best regards